Subject: Re: Uce of control word

From: Giles Heron <[email-masked]>
Date: Fri, 27 Apr 2001 11:43:30 +0100

No,

this means that you need to have the control word if traffic may be sent
over a path including any segments with a minimum frame size lower than
the minimum draft-martini packet size (including MPLS labels.)

So for ATM cells over MPLS over Ethernet you should be OK (as 52 bytes +
MPLS labels > 46 bytes.)

To answer some of your other questions:

1.  The control word is negotiated in advance on a per LSP basis (using
the procedures in draft-martini-l2circuit-trans-mpls-05.txt.)

2.  There is no way to determine the min MTU size for an LSP.  I guess
it would be a reasonably easy extension to add, but I'm not sure how
much value there is in this - given that it isn't an issue for IP over
MPLS?

HTH

Giles

> Jim Loehndorf wrote:
> 
> Does that mean that any MPLS frame under 256 bytes MUST include the
> control word?  As an example, the transparent cell relay encapsulation
> techniques indicate that the control word is optional.  If the number
> of cells packed into a MPLS frame results in a frame less than 256
> bytes, must the control word then be included and the frame padded
> out?  How does an edge LSR dynamically determine the control word is
> included?  Or is this by a priori agreement?  How does an edge LSR
> determine the minimum MTU size for an LSP? I have seen Max MTU
> negotiations in the LDP and RSVP extensions, but I have not seen any
> drafts pertaining to minimum MTU negotiations.  Thank you for the
> help!
> 
> Jim Loehndorf
> ASC
> 
>  -----Original Message-----
> From:   Giles Heron [mailto:[email-masked]]
> Sent:   Thursday, April 26, 2001 1:54 PM
> To:     Jim Loehndorf
> Cc:     [email-masked]'
> Subject:        Re: Uce of control word
> 
> Hi Jim,
> 
> the reason there is a length field in the control word is to handle
> the
> case there one or more of the physical media in the path may have a
> minimum frame size.
> 
> For example Ethernet has a 64 octet minimum frame size (14 bytes of
> MAC
> header, 46 of data and 4 of FCS.)  If there is less than 46 octets of
> data it must be padded to 46 octets.  If, for example, a very small
> PPP
> or FR frame is carried using draft-martini then there will be less
> than
> 46 octets of data (even including the MPLS labels and the control
> word.)  Since neither MPLS nor Ethernet has a length field the padding
> 
> will then be carried on subsequent links in the path (for example if
> the
> next hop is Packet over SONET.)  When the packet arrives at the egress
> 
> draft-martini edge device it will need to strip off the padding.  The
> only way to do this is using the length field in the control word.
> 
> Of course all this isn't a problem with IP over MPLS because IP has a
> length field.
> 
> Giles
> 
> > Jim Loehndorf wrote:
> >
> > I have a few questions that I would like some help with.  The
> > "draft-martini-l2circuit-encap-mpls-01.txt" specifies that ... "if
> the
> > packet's length is less than 256 bytes, the length field MUST be set
> 
> > to the packet's length.  Why?  Is the minimum MPLS packet length
> fixed
> > at 256 bytes?  If not, why would I ever use padding and the length
> > field?
> >
> > Jim Loehndorf
> >
> > ASC
> 
> --
> ============================================================
> Giles Heron      Principal Network Architect      Gone2 Inc.
> ph: +44 7880 506185         "if you build it they will yawn"
> ============================================================

-- 
============================================================
Giles Heron      Principal Network Architect      Gone2 Inc.
ph: +44 7880 506185         "if you build it they will yawn"
============================================================